/* couleurs */

/* blanc à noir */
$white: #FFF; //background (normalement $lightestGrey
$lightestGrey: #F4F4F4; //borders, line, strokes, dividers (peut avoir 2 variantes)
$lighterGrey: #EEE;
$lightGrey: #d0d0e7; //borders, line, strokes, dividers (peut avoir 2 variantes)
$mediumGrey: grey; //subheadings, labels, supporting body
$black: rgba(31, 29, 36, 1); //main heading, body, backgrounds (normalement $darkgrey) (peut avoir 3 variantes)
$black_2: rgba(31, 29, 36, 0.8);
$black_3: rgba(31, 29, 36, 0.6);
$black_4: rgba(31, 29, 36, 0.4);
$black_5: rgba(31, 29, 36, 0.2);
$black_6: rgba(31, 29, 36, 0.1);
$black_7: rgba(31, 29, 36, 0.05);

/* couleurs */
/* chacune doit avoir la couleur normal, une variante plus clair et plus foncé */
$primary: linear-gradient(45deg, #6289FF 0%, #0C7DE8 100%);
$primary_pressed: linear-gradient(45deg, #5887E5 0%, #0f6bff 100%);
$primary_light: #6289FF;
$primary_transparent: rgba(98, 137, 255, 0.4);
$primary_dark: #0C7DE8;
$primary_darker: #0C2D7F;

$success: #3cd728;
$success_light: #3cd728;
$success_dark: #3cd728;

$error: rgba(255,77,58, 1.0);
$error_transparent: rgba(255,77,58, 0.4);
$error_dark: rgba(255, 69, 32, 1.0);
$error_darker: rgba(191, 58, 44, 1.0);

$couleurNeutre: lightgrey;

$backgroundSideMenu: rgba(31, 29, 36, 1);
$colorFontSideMenu: #d0d0e7;
$bgHoveredItemSideMenu: #302D38;
$bgSelectedItemSideMenu: #277BFF;

$shadowSidemenu: 0.1em 0 1.5em rgba(0,0,0,0.5);
$shadowButton: 0 3px 8px 0 rgba(0,0,0,0.3), 0 0 0 1px rgba(0,0,0,0.1);
$shadowButtonPressed: 2px 2px 16px rgba(0,0,0,0.5);

$borderRadius: 3px;

/* définir 8px pour appliquer la règle des 8pt : https://medium.com/built-to-adapt/intro-to-the-8-point-grid-system-d2573cde8632#.tmashpin1  */
$ptGrid: 8px;
/* La font-size principal va etre de 16px, soit $ptGrid * 2,
   Il faudra donc avancer par pas de 0.5rem pour rester dans les normes
*/

/* fonts */
@import url("https://fonts.googleapis.com/css?family=Source+Sans+Pro");
$fontsPrimary: 'Source Sans Pro', sans-serif;
$fontSize: $ptGrid * 2;

/* Sidebar */
$longueurSideMenu: 13.5rem;

